> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Create a new project

POST https://host.com/apis/entities/v2/workspaces/{workspace}/projects
Content-Type: application/json

Create a new project in the given workspace.

Example:
```
POST /apis/entities/v2/workspaces/default/projects
{
    "name": "ml-project",
    "description": "Machine Learning project"
}
```

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/entity-store/create-project-apis-entities-v-2-workspaces-workspace-projects-post

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/entities/v2/workspaces/{workspace}/projects:
    post:
      operationId: create-project-apis-entities-v-2-workspaces-workspace-projects-post
      summary: Create a new project
      description: |-
        Create a new project in the given workspace.

        Example:
        ```
        POST /apis/entities/v2/workspaces/default/projects
        {
            "name": "ml-project",
            "description": "Machine Learning project"
        }
        ```
      tags:
        - subpackage_entityStore
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectInput'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ProjectInput:
      type: object
      properties:
        name:
          type: string
          description: >-
            Project name (unique within workspace). Name must start with a
            lowercase letter, be 2-63 characters, and contain only lowercase
            letters, digits, and hyphens (no consecutive hyphens, cannot end
            with a hyphen).
        description:
          type: string
          description: Optional description of the project
      required:
        - name
      description: Schema for creating a new project.
      title: ProjectInput
    Project:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        name:
          type: string
          description: Project name
        workspace:
          type: string
          description: Workspace identifier
        description:
          type: string
          description: Project description
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
      required:
        - id
        - name
        - workspace
        - created_at
        - updated_at
      description: Schema for Project responses.
      title: Project
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{
  "name": "ml-project"
}
```

**Response**

```json
{
  "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "name": "ml-project",
  "workspace": "default",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "description": "Machine Learning project"
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/entities/v2/workspaces/workspace/projects"

payload = { "name": "ml-project" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/entities/v2/workspaces/workspace/projects';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"name":"ml-project"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/entities/v2/workspaces/workspace/projects"

	payload := strings.NewReader("{\n  \"name\": \"ml-project\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/entities/v2/workspaces/workspace/projects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"ml-project\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://host.com/apis/entities/v2/workspaces/workspace/projects")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"ml-project\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://host.com/apis/entities/v2/workspaces/workspace/projects', [
  'body' => '{
  "name": "ml-project"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/entities/v2/workspaces/workspace/projects");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"ml-project\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["name": "ml-project"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/entities/v2/workspaces/workspace/projects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```